Name:           kmscon
Version:        8.1%{?dist}
Release:        1
Summary:        Linux KMS/DRM based virtual Console Emulator
License:        MIT
Group:          System/Console
URL:            https://github.com/Aetf/kmscon/
Source:         https://github.com/Aetf/kmscon/archive/master.tar.gz
BuildRequires:  autoconf >= 2.68
BuildRequires:  automake >= 1.11
BuildRequires:  libxslt
Buildrequires:  docbook-style-xsl
BuildRequires:  libtool >= 2.2
BuildRequires:  libtsm-devel >= 4.0.0
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libudev) >= 172
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(xkbcommon)
# O/P added for 13.1
Obsoletes:      %{name}-service < %{version}-%{release}
Provides:       %{name}-service = %{version}-%{release}

%description
Kmscon is a simple terminal emulator based on linux kernel mode setting (KMS).
It is an attempt to replace the in-kernel VT implementation with a userspace
console.

%prep
%autosetup -p1 -n %{name}-master

%build
autoreconf -fvi
# fbdev is broken by design, drm2d is the most compatible
%configure --enable-debug --disable-static --with-fonts=pango --with-video=drm2d \
           --with-renderers=bbulk --with-sessions=terminal
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
install -m 644 -D -t %{buildroot}%{_unitdir} docs/*.service

%pre
%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%files
%doc README
%license COPYING
%{_bindir}/%{name}
%dir %{_libdir}/kmscon
%{_libdir}/kmscon/mod-bbulk.so
%{_libdir}/kmscon/mod-pango.so
%dir %{_libexecdir}/kmscon
%{_libexecdir}/kmscon/kmscon
%{_mandir}/man1/kmscon.1.gz
%{_unitdir}/kmscon*.service


%changelog
* Sun Jan 19 2020 Michael Bryant <shadow53@shadow53.com> - 8.1-1
- Fix dependencies

* Sun Jan 19 2020 Michael Bryant <shadow53@shadow53.com> - 8-11
- Update upstream to Aetf's fork (master)

* Sat Jul 11 2015 Nicolas Chauvet <kwizart@gmail.com> - 8-10
- Remove prelink workaround of glibc#16744

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8-7
- ifnarch the execstack calls not just the build dependencies

* Sun Jun  8 2014 Peter Robinson <pbrobinson@fedoraproject.org> 8-6
- No prelink on aarch64/ppc64le

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 05 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-4
- Clear execstack
- Add verbose check and fix description

* Fri Mar 07 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-3
- Add man page
- Spec file clean-up
- Enable pixman as a renderer

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-2
- Update to libxslt libgbm

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-1
- Initial spec file

